List Prices

Returns a list of your active prices, excluding inline prices.

Related guide: Products and Prices

Query Parameters
  • limit
    Type: integer
    min:  
    1
    max:  
    100

    Maximum number of prices to return.

  • last_key
    Type: string

    Opaque cursor for pagination. Use the last_key value from the previous response to retrieve the next page.

  • product
    Type: string Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

    Filter prices by Product ID.

  • active
    Type: boolean

    Filter prices by active status.

  • currency
    Type: string
    min length:  
    3
    max length:  
    3

    Filter prices by three-letter ISO currency code.

  • type
    Type: string enum

    Filter prices by billing type.

    values
    • one_time
    • recurring
  • lookup_key
    Type: string

    Filter prices by lookup key.

  • interval
    Type: string enum

    Filter recurring prices by billing interval.

    values
    • daily
    • weekly
    • monthly
    • quarterly
    • yearly
  • livemode
    Type: boolean

    Filter prices by live or test mode.

  • scope
    Type: string enum

    Filter by public catalog prices or internal ephemeral prices created by billing flows.

    values
    • external
    • internal
  • min_unit_amount
    Type: integer Format: int64
    min:  
    0

    Filter prices whose unit amount is at least this value, in minor units.

  • max_unit_amount
    Type: integer Format: int64
    min:  
    0

    Filter prices whose unit amount is at most this value, in minor units.

  • start_date
    Type: string Format: date-time

    Filter prices created at or after this time.

  • end_date
    Type: string Format: date-time

    Filter prices created before this time.

  • sort_by
    Type: string enum

    Field used to sort the result.

    values
    • created
    • updated
    • unit_amount
  • sort_order
    Type: string enum

    Sort direction.

    values
    • asc
    • desc
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/prices
curl https://api.paypercut.io/v1/prices \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "active": true,
      "billing_scheme": "per_unit",
      "created": 1,
      "currency": "string",
      "livemode": true,
      "lookup_key": null,
      "product": "01K755J9SV2364REVHB915Z2FW",
      "product_data": {
        "active": true,
        "name": "string",
        "description": "string",
        "unit_label": "string",
        "id": "string"
      },
      "recurring": {
        "interval": "daily",
        "interval_count": 1,
        "meter": null,
        "usage_type": "licensed"
      },
      "type": "one_time",
      "unit_amount": null,
      "unit_amount_decimal": null,
      "id": "string"
    }
  ],
  "last_key": null
}